gr::lte::qpsk_soft_demod_vcvf Class Reference

QPSK soft demodulation. 1. item == real, 2. item == imaginary. More...

`#include <qpsk_soft_demod_vcvf.h>`

Inheritance diagram for gr::lte::qpsk_soft_demod_vcvf:
[legend]

## Public Types

typedef boost::shared_ptr< qpsk_soft_demod_vcvf > | sptr

## Static Public Member Functions

static sptr | make (int vlen, std::string name="qpsk_soft_demod_vcvf")
| Return a shared_ptr to a new instance of lte::qpsk_soft_demod_vcvf.

## Detailed Description

QPSK soft demodulation. 1. item == real, 2. item == imaginary.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<qpsk_soft_demod_vcvf> gr::lte::qpsk_soft_demod_vcvf::sptr

## Member Function Documentation

## make()

static sptr gr::lte::qpsk_soft_demod_vcvf::make | ( | int | vlen,
|  | std::string | name = "qpsk_soft_demod_vcvf" )

static

Return a shared_ptr to a new instance of lte::qpsk_soft_demod_vcvf.

To avoid accidental use of raw pointers, lte::qpsk_soft_demod_vcvf's constructor is in a private implementation class. lte::qpsk_soft_demod_vcvf::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- qpsk_soft_demod_vcvf.h